{
  "openapi": "3.1.1",
  "info": {
    "version": "latest",
    "contact": {
      "name": "API Support",
      "url": "https://www.techwolf.ai/",
      "email": "support@techwolf.ai"
    },
    "title": "Skill Engine API",
    "description": "The Skill Engine API is your single stop for continuous Skill tracking, matching, learning management and strategic insights. This API specification describes how to augment your existing data sources with Skills to build your workforce of tomorrow.\n"
  },
  "servers": [
    {
      "description": "Skill Engine API",
      "url": "https://{tenant_name}.{region}.techwolf.ai",
      "variables": {
        "tenant_name": {
          "default": "tenant_name"
        },
        "region": {
          "default": "eu3",
          "enum": [
            "eu3",
            "us3"
          ]
        }
      }
    }
  ],
  "security": [
    {
      "application": [
        "read",
        "write"
      ]
    }
  ],
  "tags": [
    {
      "name": "TaxonomyDomains",
      "x-displayName": "Domains",
      "description": "Domains in the Skill Engine API allow enterprise customers to adapt Domains in\ntheir Taxonomy.\n\n[Custom Properties](</reference/latest/Custom Properties/CustomPropertiesDefinitions>) are supported for this entity.\n"
    },
    {
      "name": "TaxonomySubdomains",
      "x-displayName": "Subdomains",
      "description": "Subdomains in the Skill Engine API allow enterprise customers to adapt\nSubdomains in their Taxonomy.\n\n<Warning>\nBy default, **Subdomains are disabled**. The 3-level Taxonomy only consists of\nDomains, Skill Clusters and Skills. Enabling Subdomains allows a 4-level\nTaxonomy consisting of Domains, Subdomains, Skill Clusters and Skills. To enable\nSubdomains on your tenants, contact support@techwolf.ai!\n</Warning>\n\n[Custom Properties](</reference/latest/Custom Properties/CustomPropertiesDefinitions>) are supported for this\nentity.\n"
    },
    {
      "name": "TaxonomySkillClusters",
      "x-displayName": "Skill Clusters",
      "description": "Skill Clusters in the Skill Engine API allow enterprise customers to adapt Skill\nClusters in their Taxonomy.\n\n[Custom Properties](</reference/latest/Custom Properties/CustomPropertiesDefinitions>) are supported for this\nentity.\n"
    },
    {
      "name": "TaxonomySkills",
      "x-displayName": "Skills",
      "description": "Skills in the Skill Engine API allow enterprise customers to get Skills in their\nTaxonomy.\n\n[Custom Properties](</reference/latest/Custom Properties/CustomPropertiesDefinitions>) are supported for this\nentity.\n"
    },
    {
      "name": "Taxonomy",
      "x-displayName": "Taxonomy operations",
      "description": "Taxonomy operations can be used to view or edit large parts of the Taxonomy.\n"
    },
    {
      "name": "TaxonomyExport",
      "x-displayName": "Taxonomy",
      "description": ""
    },
    {
      "name": "EmployeeCRUD",
      "x-displayName": "CRUD",
      "description": "Employees in the Skill Engine API represent either a person within your\norganisation or a candidate within the Job market.\n\nMore info about entities can be found on the\n[How it Works page](/technology/entities/).\n\n[Custom Properties](</reference/latest/Custom Properties/CustomPropertiesDefinitions>) are supported for this\nentity.\n"
    },
    {
      "name": "EmployeeProfile",
      "x-displayName": "Skill Profile"
    },
    {
      "name": "EmployeeMetrics",
      "x-displayName": "Metrics",
      "description": "A metric is a single number representing some amount of information about an\nentity or a collection of entities of the same type.\n\nMore info about Metrics can be found on the\n[How it Works page](/technology/metrics-reports/) .\n"
    },
    {
      "name": "EmployeeSearch",
      "x-displayName": "Search"
    },
    {
      "name": "EmployeeInteractions",
      "x-displayName": "Interactions",
      "description": "Interactions can be used to handle Employees interacting with Vacancies or titles in ways that express their desired functions."
    },
    {
      "name": "EmployeeSuggestions",
      "x-displayName": "Suggestions"
    },
    {
      "name": "SkillEvents",
      "x-displayName": "Skill Events",
      "description": "A Skill Event influences the Skillset of an Employee. When an Employee finishes\na Course, receives feedback, starts a new function, or when another event occurs\nthat gives additional info to an Employee's Skill Profile, a Skill Event can be\ngenerated.\n\nSkill Events allow you to monitor the evolution of an Employee's Skill Profile\nand allow you to pinpoint exactly what Skills your Employees had at a certain\ntime. Skill Events also enable an easy method of adding new information to a\nprofile.\n\nCheck the how it works article to find out everything you need to know about\nSkill Events. [How it Works](/technology/skill_events/)\n"
    },
    {
      "name": "VacancyCRUD",
      "x-displayName": "CRUD",
      "description": "Vacancies in the Skill Engine API correspond to Job postings or open positions.\n\nMore info about entities can be found on the\n[How it Works page](/technology/entities/).\n\n[Custom Properties](</reference/latest/Custom Properties/CustomPropertiesDefinitions>) are supported for this\nentity.\n"
    },
    {
      "name": "VacancyProfile",
      "x-displayName": "Skill Profile"
    },
    {
      "name": "VacancyMetrics",
      "x-displayName": "Metrics",
      "description": "A metric is a single number representing some amount of information about an\nentity or a collection of entities of the same type.\n\nMore info about Metrics can be found on the\n[How it Works page](/technology/metrics-reports/) .\n"
    },
    {
      "name": "VacancySearch",
      "x-displayName": "Search"
    },
    {
      "name": "CourseCRUD",
      "x-displayName": "CRUD",
      "description": "Courses in the Skill Engine API correspond to internal/external training or\neducation.\n\nMore info about entities can be found on the\n[How it Works page](/technology/entities/).\n\n[Custom Properties](</reference/latest/Custom Properties/CustomPropertiesDefinitions>) are supported for this\nentity.\n"
    },
    {
      "name": "OrganisationalUnits",
      "x-displayName": "Organisational Units",
      "description": "Organisational Units in the Skill Engine API represent groupings of Employees\narranged in a hierarchical structure.\n\n[Custom Properties](</reference/latest/Custom Properties/CustomPropertiesDefinitions>) are supported for this\nentity.\n"
    },
    {
      "name": "OrganisationalUnitMetrics",
      "x-displayName": "Metrics",
      "description": "A metric is a single number representing some amount of information about an\nentity or a collection of entities of the same type.\n\nMore info about Metrics can be found on the\n[How it Works page](/technology/metrics-reports/) .\n"
    },
    {
      "name": "CourseProfile",
      "x-displayName": "Skill Profile"
    },
    {
      "name": "CourseMetrics",
      "x-displayName": "Metrics",
      "description": "A metric is a single number representing some amount of information about an\nentity or a collection of entities of the same type.\n\nMore info about Metrics can be found on the\n[How it Works page](/technology/metrics-reports/) .\n"
    },
    {
      "name": "SkillClusterCRUD",
      "x-displayName": "CRUD",
      "description": "Skill Clusters in the Skill Engine API allow enterprise customers to use their\nown Skill Cluster framework.\n\nMore info about Skill Clusters can be found at the\n[How it Works page](/technology/skill-clusters/) and the\n[Skill Cluster Tutorial](/tutorials/skill-clusters/overview/).\n\n[Custom Properties](</reference/latest/Custom Properties/CustomPropertiesDefinitions>) are supported for this\nentity.\n"
    },
    {
      "name": "SkillClusterProfile",
      "x-displayName": "Skill Profile"
    },
    {
      "name": "SkillClusterMetrics",
      "x-displayName": "Metrics",
      "description": "A metric is a single number representing some amount of information about an\nentity or a collection of entities of the same type.\n\nMore info about Metrics can be found on the\n[How it Works page](/technology/metrics-reports/) .\n"
    },
    {
      "name": "CompanyCRUD",
      "x-displayName": "CRUD",
      "description": "An External Company in the Skill Engine API represents **any external company**.\nThey can be used to match against, using the Vacancies that are linked to them.\n\nEmployment and staffing customers can match candidates with external companies,\neven when they do not have an explicitly advertised position.\n\nEnterprise customers can use External Companies too to profile and compare\nthemselves to other External Companies.\n\nMore info about External Companies can be found on the\n[How it Works page](/technology/companies/) and the\n[External Company tutorial](/tutorials/companies/overview/).\n\n[Custom Properties](</reference/latest/Custom Properties/CustomPropertiesDefinitions>) are supported for this\nentity.\n"
    },
    {
      "name": "CompanySearch",
      "x-displayName": "Search"
    },
    {
      "name": "Skill Search"
    },
    {
      "name": "Skill Lookup"
    },
    {
      "name": "Skill Gaps"
    },
    {
      "name": "Vacancy Matching",
      "description": "The Skill Engine API allows you to fetch matching entities and External\nCompanies with a wide range of different configurations. The system leverages a\nset of _filters_ (constraints that are applied before matching, making a binary\ndecision for each entity whether they should be considered) and _weights_\n(reweighting of the match scores) to let you tailor results to your wishes. You\ncan find more information about how filters work [here](</reference/latest/Matching Configuration/Filters>).\n\nMatch results can be queried in a paginated manner, allowing you to iteratively\nfetch all relevant results for a match query using the common `limit` and\n`offset` setup. Under the hood, the Skill Engine API uses a two-step process to\nenable paginated results: first, _approximate matching_ is applied to create an\ninitial ordering of results, followed by _refinement_ of these results into the\nfinal scores. The ordering of the results, and therefore also the contents of\nany given page, are determined entirely by the approximate matching. This allows\nus to provide high volumes of matches without the delay caused by refining all\npossible matches for every single query. As approximate and refined scores can\nin some cases deviate from each other slightly, it is expected that in some\ncases the last result of a given page can have a lower score than the first\nresult of the next -- if this is problematic for your use case (i.e. you want\nthe exact top 10), then we recommend using a higher limit and trimming down\nresults, as this suffices to capture any reordering caused by refinement.\n\nBy default, a geographic distance filter is applied by default such that only\nentities within a 50 km range are considered. This range can be adapted by\nconfiguring the `max_geo_distance` filter. To retain fast response times, any\nmatching request that has more than 10.000 entities fulfilling all filter\ncriteria will be cut off at the 10.000 entities that are geographically closest\nto the search point.\n"
    },
    {
      "name": "Job Matching"
    },
    {
      "name": "Job Family Matching"
    },
    {
      "name": "Task Matching"
    },
    {
      "name": "Match Feedback"
    },
    {
      "name": "External Company Matching"
    },
    {
      "name": "Course Recommendations"
    },
    {
      "name": "Export Matching"
    },
    {
      "name": "ExportEmployeesSkillClusters",
      "x-displayName": "Employees",
      "description": "Export data from the API through pagination. Request the first page of an export\nby not specifying the `starting_after` field. Next pages can be requested by\nsetting the `starting_after` field to the last `external_id` from the previous\npage. When there is no more data after the requested page, `has_next` will be\n`false`.\n"
    },
    {
      "name": "ExportEmployeeAssignedPosition",
      "x-displayName": "Employees Assigned Position"
    },
    {
      "name": "CoursesExportSkillProfiles",
      "x-displayName": "Courses",
      "description": ""
    },
    {
      "name": "VacanciesExportSkillProfiles",
      "x-displayName": "Vacancies",
      "description": ""
    },
    {
      "name": "JobArchitectureExport",
      "x-displayName": "Job Architecture",
      "description": ""
    },
    {
      "name": "OrganisationalStructureExport",
      "x-displayName": "Organisational Structure"
    },
    {
      "name": "JobFamilyCRUD",
      "x-displayName": "CRUD",
      "description": "Job Families in the Skill Engine API represent a group of Jobs that are related\nwithin your organisation.\n\nMore info about Job Families can be found at the\n[Job Architecture Tutorial](/tutorials/job_architecture/overview/).\n\n[Custom Properties](</reference/latest/Custom Properties/CustomPropertiesDefinitions>) are supported for this\nentity.\n"
    },
    {
      "name": "JobCRUD",
      "x-displayName": "CRUD",
      "description": "Jobs in the Skill Engine API represent a specific role within your organisation.\nThey are linked to Job Families.\n\nMore info about Jobs can be found at the\n[Job Architecture Tutorial](/tutorials/job_architecture/overview/).\n\n[Custom Properties](</reference/latest/Custom Properties/CustomPropertiesDefinitions>) are supported for this\nentity.\n"
    },
    {
      "name": "Job Family Profile Data",
      "description": "Job Family Profile Data influences the Skillset of a Job Family. Profile Data\nenables an easy method of adding new information to a Job Family.\n"
    },
    {
      "name": "Job Profile Data",
      "description": "Job Profile Data influences the skillset of a Job. Profile Data enables an easy\nmethod of adding new information to a Job.\n"
    },
    {
      "name": "JobIssues",
      "x-displayName": "Issues",
      "description": "A Job Issue represents a data issue identified for a particular job,\ne.g. a missing or short Job description."
    },
    {
      "name": "JobChanges",
      "x-displayName": "Changes",
      "description": "Job changes represent data changes that were suggested and/or applied to Jobs in the Job Architecture."
    },
    {
      "name": "JobSuggestions",
      "x-displayName": "Suggestions",
      "description": "Job architecture suggestions represent AI-generated recommendations for changes to job skill profiles, such as adding or removing skills, or updating proficiency levels and criticality flags."
    },
    {
      "name": "JobFamilyProfile",
      "x-displayName": "Skill Profile"
    },
    {
      "name": "JobProfile",
      "x-displayName": "Skill Profile"
    },
    {
      "name": "JobMetrics",
      "x-displayName": "Metrics",
      "description": "A metric is a single number representing some amount of information about an\nentity or a collection of entities of the same type.\n\nMore info about Metrics can be found on the\n[How it Works page](/technology/metrics-reports/) .\n"
    },
    {
      "name": "PeerGroups",
      "x-displayName": "Peer Groups",
      "description": "A peer group consists of a list of companies used to create external market Skill Profiles for Jobs.\n\nMore information about external market Skill Profiles can be found in the documentation of the relevant\n[endpoint](/reference/latest/Jobs/JobProfile/get-job-architecture-jobs-job-external-id-market-skill-profiles)."
    },
    {
      "name": "General Reports",
      "description": "Reports aggregate and group Metrics into a broader overview.\n\nMore info about Reports can be found on the\n[How it Works page](/technology/metrics-reports/) .\n"
    },
    {
      "name": "Employee Reports",
      "description": "Reports aggregate and group Metrics into a broader overview.\n\nMore info about Reports can be found on the\n[How it Works page](/technology/metrics-reports/) .\n"
    },
    {
      "name": "Vacancy Reports",
      "description": "Reports aggregate and group Metrics into a broader overview.\n\nMore info about Reports can be found on the\n[How it Works page](/technology/metrics-reports/) .\n"
    },
    {
      "name": "Job Reports",
      "description": "Reports aggregate and group Metrics into a broader overview.\n\nMore info about Reports can be found on the\n[How it Works page](/technology/metrics-reports/) .\n"
    },
    {
      "name": "Data Maturity Scan",
      "description": "Reports aggregate and group Metrics into a broader overview.\n\nMore info about Reports can be found on the\n[How it Works page](/technology/metrics-reports/) .\n"
    },
    {
      "name": "Versioning Overview",
      "description": "import { ExperimentalBadge } from '/snippets/ExperimentalBadge.mdx'\n\nThe SkillEngine API is a date-based versioned API system, such that each\nintegrator interacts with a certain version of our product. To know your own\nversion, you can call the `/version` endpoint (description can be\nfound [here](/reference/latest/Version/Version/get-version)).\n\nYour version is set by us at the time your tenant is created. This version\ncontrols how your API will behave (in terms of supported parameters, response\nformats, etc.).\n\nAs it is possible that we introduce breaking changes in future updates that may\nbreak your code, we will not update your version **unless you specifically\nrequest this**. Breaking changes will always be released under a new date and\ncan be tracked in the documentation [here](</reference/latest/API Versioning/Breaking Changes/Breaking Changes>).\n\nDeprecations will be announced in the documentation and will be supported for a \ncertain period of time. After this period, the deprecation will\nbecome a breaking change. Deprecations can be tracked in the documentation [here](</reference/latest/API Versioning/Deprecations/Deprecations>).\n\nNon-breaking changes, on the other hand, will be supported by your API, **regardless of \nyour version**. An overview can also be found [here](</reference/latest/API Versioning/Compatible Changes/Compatible Changes>).\n\nIn case you want to test a specific version of the API, e.g. when switching\nversions, you can add the header `X-API-Version` to your requests. The value of\nthis header is the version of the API you want to use, for example `2021-03-19`.\n\nWhen you see an endpoint marked with <ExperimentalBadge />  it is considered experimental or in beta. These endpoints can undergo breaking changes without any\nnotice or promises on backwards compatibility. You should not use them in\nproduction.\n"
    },
    {
      "name": "Breaking Changes",
      "description": "The list below provides an overview of breaking changes to the SkillEngine API.\nBreaking changes are modifications that may cause your existing integrations to\nstop working. These changes are only applied to your tenant when you request a\nversion update.\n\n### October 2026\n\n-   Removed the `GET /employees/{employee_external_id}/task_profile` endpoint from the public API.\n-   Removed the `PATCH /employees/{employee_external_id}/task_profile` endpoint.\n\n### September 2026\n\n-   Removed the `POST /reports/skill_inventory` endpoint.\n-   `ticket`, `merge_request` and business record Skill Events (`it_incident`, `support_ticket`, … — see `GET /skill_event_types`) are no longer accepted on the `POST /employees/{employee_external_id}/skill_events` endpoint on tenants with a model configuration older than `MC_2025_Q1_V1`.\n    Such requests are rejected with a `422 Unprocessable Entity` response stating that the model configuration of the tenant is outdated.\n    To keep using these Skill Event types, contact TechWolf to upgrade your tenant to the latest model configuration.\n\n### August 2026\n\n-   Removed the `include=relevant_experience` query/body parameter and the `relevant_experience` response field from the `POST /employees/{external_id}/matching_vacancies`, `POST /vacancies/{external_id}/matching_employees`, and `GET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/match` endpoints.\n\n### July 2026\n\n-   Removed the deprecated `GET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/recommended_courses` endpoint; use the `POST` variant on the same path instead.\n-   Removed the `POST /reports/job_architecture_benchmark` endpoint.\n\n### March 2026\n\n-   The `proficiency_level`, `proficiency_float`, and `critical` response fields have been replaced\n    with `governed_proficiency_level`, `inferred_proficiency_level`, `governed_proficiency_float`,\n    `inferred_proficiency_float`, `governed_critical`, and `inferred_critical` on the following endpoints:\n    -   `GET /job_architecture/jobs/{job_external_id}/skill_profile`\n    -   `GET /job_architecture/job_families/{job_family_external_id}/skill_profile`\n    -   `POST /job_architecture/export/jobs/skill_profiles`\n    -   `POST /job_architecture/export/job_families/skill_profiles`\n-   The `validation_state` field is now always returned on each Skill in the Skill Profile response\n    for the above endpoints. The `include=skill_validation_state` query/body parameter has been removed.\n-   Suggested Skills (with `validation_state: \"suggested\"`) are now included alongside governed Skills\n    in the Skill Profile response for the above endpoints.\n\n### December 2025\n\n-   Changed the `GET /reports/data_maturity_scan/employee_quality_matrix` endpoint\n    to `POST` and added optional `filters` request body to filter by Employee external IDs.\n-   Changed the `GET /reports/data_maturity_scan/job_quality_matrix` endpoint\n    to `POST` and added optional `filters` request body to filter by Job external IDs.\n\n### September 2025\n\n- Removed `translation_found` field from the `GET /employees/suggestions/skills` endpoint.\n- Removed skill names from unsupported languages from the output of the `GET /employees/suggestions/skills` endpoint.\n\n### August 2025\n\n-   Deprecated the `domains` response format from the\n    `GET /courses/{course_external_id}/skill_profile` and the\n    `GET /vacancies/{vacancy_external_id}/skill_profile` endpoints.\n\n### March 2025\n\n-   Removed the `skill_vocab` and `external_id` fields from the\n    `GET /taxonomy/skills` endpoint\n-   Removed the `skill_vocab` and `external_id` fields from the\n    `GET /taxonomy/skills/{skill_id}` endpoint\n-   Removed the `skill_vocab` and `external_id` fields from the\n    `GET /taxonomy/skill_clusters/{skill_cluster_external_id}/skills` endpoint\n-   Removed the `skill_vocab` and `external_id` fields from the\n    `GET /taxonomy/export` endpoint\n\n### February 2025\n\n-   Removed the `POST /integrations/file_load_task` endpoint.\n-   Removed the `GET /integrations/file_load_task/{task_id}` endpoint.\n-   Removed the `/job_architecture/jobs/{job_external_id}/market_skill_profile`\n    endpoint.\n\n### January 2025\n\n-   Removed the `response_format=trending` query paramter option for all\n    `GET /<entity>/skill_profile` endpoints.\n\n### December 2024\n\n-   Removed the `GET /employees/{external_id}/metrics/position_alignment`\n    endpoint.\n\n### November 2024\n\n-   Removed the `POST /vacancies/{external_id}/metrics/fillability` endpoint.\n-   Renamed the value of query parameter `include=description` to\n    `include=skill_description` in the `GET /taxonomy/skills` endpoint.\n\n### October 2024\n\n-   Changed the format for duplicate data examples from the\n    `GET /reports/data_maturity_scan/data_improvement_actions` endpoint.\n-   Removed the `POST /reports/skills_alignment` endpoint.\n-   Removed the `POST /reports/workforce_alignment` endpoint.\n-   Removed the `POST /reports/strategy_map` endpoint.\n-   Removed the `POST /reports/skill_frequencies` endpoint.\n-   Removed the `POST /reports/organization_names` endpoint.\n-   Removed the `POST /reports/employee_skill_distribution` endpoint.\n-   Removed the `POST /reports/vacancy_skill_distribution` endpoint.\n\n### September 2024\n\n-   Renamed the field `name` to `skill_name` in the\n    `GET /employees/{external_id}/skill_profile` endpoint when the\n    `response_format` query parameter is set to `skill_clusters` or `domains`.\n\n### August 2024\n\n-   Removed the `GET /reports/succession_risk` endpoint.\n-   Removed the `GET /reports/employees/skills` endpoint.\n-   Removed the `GET /reports/employees/position_alignment` endpoint.\n-   Removed the `POST /reports/replacement_risk` endpoint.\n-   Removed `count` response body field from the `POST /employees/search`\n    endpoint.\n-   Removed `count` response body field from the `POST /vacancies/search`\n    endpoint.\n-   Removed `count` response body field from the `POST /companies/search`\n    endpoint.\n-   Removed `count` response body field from the\n    `POST /employees/{external_id}/recommended_courses` endpoint.\n-   Removed `count` response body field from the\n    `POST /employees/{employee_external_id}/vacancies/{vacancy_external_id}/recommended_courses`\n    endpoint.\n-   Removed `count` response body field from the\n    `POST /employees/{employee_external_id}/jobs/{job_external_id}/recommended_courses`\n    endpoint.\n-   Removed `count` response body field from the\n    `POST /employees/{external_id}/matching_vacancies` endpoint.\n-   Removed `count` response body field from the\n    `POST /employees/{external_id}/matching_companies` endpoint.\n-   Removed `count` response body field from the\n    `POST /employees/{external_id}/matching_jobs` endpoint.\n-   Removed `count` response body field from the\n    `POST /employees/{external_id}/matching_job_families` endpoint.\n-   Removed `count` response body field from the\n    `POST /vacancies/{external_id}/matching_employees` endpoint.\n-   Removed `count` response body field from the\n    `POST /companies/{external_id}/matching_employees` endpoint.\n-   Removed `count` response body field from the\n    `POST /job_architecture/jobs/{external_id}/matching_employees` endpoint.\n-   Removed `count` response body field from the\n    `POST /job_architecture/job_families/{external_id}/matching_employees`\n    endpoint.\n\n### July 2024\n\n-   Removed the `GET /reports/employees/employability` endpoint.\n-   Removed the `GET /employees/{external_id}/metrics/employability` endpoint.\n-   Removed the `GET /vacancies/{external_id}/metrics/fillability` endpoint.\n\n### June 2024\n\n-   Removed support for the `language` filter in the\n    `POST /companies/{external_id}/matching_employees` endpoint.\n-   Removed `feedback_format=skill_clusters` support for the\n    `PATCH /vacancies/{external_id}/skill_profile` endpoint.\n-   Removed `feedback_format=skill_clusters` support for the\n    `PATCH /courses/{external_id}/skill_profile` endpoint.\n-   Removed `response_format=skill_clusters` support for the\n    `GET /vacancies/{external_id}/skill_profile` endpoint.\n-   Removed `response_format=skill_clusters` support for the\n    `GET /courses/{external_id}/skill_profile` endpoint.\n-   Removed the `POST /reports/clustered_trending_skills` endpoint.\n-   Removed the `POST /reports/emerging_skills` endpoint.\n-   Removed the `POST /employees/{external_id}/similar` endpoint.\n-   Removed the `POST /vacancies/{external_id}/similar` endpoint.\n-   Removed the `POST /courses/{external_id}/similar` endpoint.\n-   Removed Occupation entity and its functionalities, along with the Reskilling\n    & Deployment report\n\n### May 2024\n\n-   Removed the `include=skill_match_scores` query parameter of\n    `POST /employees/{external_id}/matching_job_families`\n-   Replaced the `skill_type` field with `skill_types` for the `skills` response\n    body field of the `GET /job_architecture/job/{job_id}/skill_profile` and\n    `GET /job_architecture/job_families/{job_family_id}/skill_profile`\n    endpoints.\n-   Replaced the `skill_type` field with `skill_types` for the `skills` field of\n    the `records` response body field of the\n    `POST /job_architecture/export/jobs/skill_profiles`, and\n    `POST /job_architecture/export/job_families/skill_profiles` endpoints.\n-   Replaced the `skill_type` field with `skill_types` for the `skills` field of\n    `skill_clusters` field of the `records` response body field of the\n    `POST /job_architecture/export/jobs/skill_clusters`.\n\n### February 2024\n\n-   Removed the `include=skill_clusters` query parameter of\n    `POST /vacancies/{external_id}/matching_employees` and\n    `GET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/match`.\n-   Moved the `relevant_experience` response body field of the\n    `response_format=explained` query parameter to the newly added\n    `include=relevant_experience` query parameter of the\n    `GET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/match`\n    endpoint.\n-   Renamed the `skill` response body field to `skill_name` of the\n    `GET employees/{external_id}/vacancies/{external_id}/gap` endpoint.\n\n### January 2024\n\n-   The `GET /job_architecture/job/{job_id}/skill_profile` endpoint has a new\n    Skill type called `Family-Specific`.\n-   The `GET /job_architecture/job_families/{job_family_id}/skill_profile`\n    endpoint has a new Skill type called `Family-Specific`.\n\n### December 2023\n\n-   The `skills` request body field of the `SkillProfileUpdateMessage` of the\n    endpoint `PATCH /employees/{external_id}/skill_profile` now requires either\n    a `skill` or a `skill_id`, not both.\n-   The `skills` request body field of the `SkillProfileUpdateMessage` of the\n    endpoint `PATCH /job_architecture/jobs/{job_external_id}/skill_profile` now\n    requires either a `skill` or a `skill_id`, not both.\n-   The `skills` request body field of the `SkillProfileUpdateMessage` of the\n    endpoint\n    `PATCH /job_architecture/job_families/{job_family_external_id}/skill_profile`\n    now requires either a `skill` or a `skill_id`, not both.\n-   The `skills` request body field of the `SkillProfileUpdateMessage` of the\n    endpoint `PATCH /vacancies/{external_id}/skill_profile` now requires either\n    a `skill` or a `skill_id`, not both.\n-   The `skills` request body field of the `SkillProfileUpdateMessage` of the\n    endpoint `PATCH /courses/{external_id}/skill_profile` now requires either a\n    `skill` or a `skill_id`, not both.\n-   The `skills` request body field of the `SkillProfileUpdateMessage` of the\n    endpoint `PATCH /occupations/{external_id}/skill_profile` now requires\n    either a `skill` or a `skill_id`, not both.\n-   The `skills` request body field of the `SkillProfileUpdateMessage` of the\n    endpoint `PATCH /vacancies/{external_id}/skill_profile` now requires either\n    a `skill` or a `skill_id`, not both.\n-   The `skills` request body field of the `SkillProfileUpdateMessage` of the\n    endpoint `PATCH /courses/{external_id}/skill_profile` now requires either a\n    `skill` or a `skill_id`, not both.\n-   The `skills` request body field of the `SkillProfileUpdateMessage` of the\n    endpoint `PATCH /occupations/{external_id}/skill_profile` now requires\n    either a `skill` or a `skill_id`, not both.\n\n### November 2023\n\n-   Removed the deprecated `GET /employees/{external_id}/profile/related`\n    endpoint.\n-   Removed the deprecated `POST /employees/{external_id}/profile/related`\n    endpoint.\n-   Removed the deprecated `GET /vacancies/{external_id}/profile/related`\n    endpoint.\n-   Removed the deprecated `POST /vacancies/{external_id}/profile/related`\n    endpoint.\n-   Removed the deprecated `GET /courses/{external_id}/profile/related`\n    endpoint.\n-   Removed the deprecated `POST /courses/{external_id}/profile/related`\n    endpoint.\n-   Removed the deprecated `GET /occupations/{external_id}/profile/related`\n    endpoint.\n-   Removed the deprecated `POST /occupations/{external_id}/profile/related`\n    endpoint.\n-   Removed the deprecated `GET /skills/{skill_name}/related` endpoint.\n\n### October 2023\n\n-   Remove `POST /skill_clusters` in favor of `POST /taxonomy/skill_clusters`.\n-   Remove `DELETE /skill_clusters/{skill_cluster_id}` in favor of\n    `DELETE /taxonomy/skill_clusters/{skill_cluster_id}`.\n-   Remove `PATCH /skill_clusters/{skill_cluster_id}` in favor of\n    `PATCH /taxonomy/skill_clusters/{skill_cluster_id}`.\n\n### June 2023\n\n-   Removed the deprecated `PUT {entity}/{external_id}/skill_profile` endpoint.\n\n### April 2023\n\n-   A `skill_event` with `project_content` now assumes a textual description of\n    a ticket from a ticketing system (e.g. Jira, Asana, Github issues, etc.).\n    The previous functionality of general project descriptions is removed.\n\n### February 2023\n\n-   The `desired_functions` and `non_desired_functions` fields of the Employee\n    have been changed from lists of titles to list of Function objects. A\n    Function object consists of a Function title and a relative importance.\n\n### January 2023\n\n-   All instances of `competency`, `competencies` or capitalized alternatives\n    have been renamed to `skill_cluster` and `skill_clusters`, and their\n    capitalized versions.\n-   All instances of `category`, `categories` or capitalized alternatives have\n    been renamed to `domain` and `domains`, and their capitalized versions.\n\n### October 2022\n\n-   The `competency` and `score` fields in\n    `PUT, PATCH /{entity}/{external_id}/skill_profile` in `competencies` format\n    are now renamed to `competency_name` and `proficiency_level` respectively.\n\n-   The `score` fields in `PUT, PATCH /{entity}/{external_id}/skill_profile` in\n    `skills` format is replaced by `has_skill` which is a boolean instead of\n    number.\n-   The `competency` and `score` fields in\n    `GET /{entity}/{external_id}/skill_profile` in `competencies` format are now\n    renamed to `competency_name` and `proficiency_level` respectively.\n\n### July 2022\n\n-   The `score` field in `GET /{entity}/{external_id}/skill_profile` in `list`\n    format is now optional.\n\n### June 2022\n\n-   Deprecated `GET /employees/{external_id}/recommended_courses` and added POST\n    instead.\n-   Removed `POST /competencies/{external_id}/similar` and\n    `POST /competencies/{external_id}/profile/related` endpoints.\n\n### May 2022\n\n-   Removed `PUT /competencies/{external_id}/skill_profile` feedback endpoint.\n\n### November 2021\n\n-   Removed Document Entity and all its functionalities.\n\n### July 2021\n\n-   Similar Entity endpoints are now `POST` instead of `GET`.\n-   The response format of Similar Entity endpoints has changed from a list to\n    an object containing two fields: the list of results and the total number of\n    results available.\n\n### June 2021\n\n-   Search endpoints now require weights in the body, in the same manner as\n    matching endpoints.\n-   Search endpoints now support a `score_min_threshold` query parameter, and\n    defaults to 0.5 for this value instead of the previously internal 0.0.\n\n### April 2021\n\n-   The language query parameter has become required for the creation and update\n    of an entity.\n\n### March 2021\n\n-   The response format of matching results\n    (`GET/POST /employees/{external_id}/matching_vacancies` ,\n    `GET/POST /vacancies/{external_id}/matching_employees` ,\n    `GET /employees/{external_id}/matching_companies` and\n    `GET /companies/{external_id}/matching_employees`) has changed from a list\n    to an object containing two fields: the list of results and the total number\n    of results available.\n-   The response format of search results (`POST /employees/search` ,\n    `POST /vacancies/search` and `POST /companies/search`) has changed from a\n    list to an object containing two fields: the list of search results and the\n    total number of results available from the free text search.\n-   The response format of list results (`GET /employees/`, `GET /vacancies/` ,\n    `GET /companies/`, `GET /courses/`, `GET /competencies/`, `GET /documents/`\n    and `GET /occupations/`) has changed from a list to an object containing two\n    fields: the list of results and the total number of results available.\n\n### February 2021\n\n-   Employee creation (`POST /employees`) and updates\n    (`PATCH /employees/{external_id}`) no longer support uploading individual\n    resumes (as `employee_resume`) in favour of accepting a list of multiple\n    resumes (as `employee_documents`) with the same format.\n-   The list entity endpoints (`GET /employees`, `GET /vacancies`,\n    `GET /courses` , `GET /occupations`, `GET /competencies` and\n    `GET /documents`) no longer support the `response_format` query parameter.\n    The response now corresponds to the former `objects` response format for all\n    endpoints.\n\n### January 2021\n\n-   The version endpoint now returns a body with a single field `version`,\n    indicating the current version of your tenant. The version is returned as a\n    date (ISO-8601, ex. 2021-01-19) and no longer as a number.\n"
    },
    {
      "name": "Deprecations",
      "description": "This section lists all currently deprecated features in the SkillEngine API. Deprecated features will be supported for a certain period of time before being removed. We recommend updating your integration to use the newer alternatives as soon as possible.\n\n### March 2026\n\n-   Deprecated the Suggested Skill Profile endpoints. Use the corresponding Skill Profile endpoints instead.\n\n    The following endpoints are affected:\n\n    -   `GET /job_architecture/jobs/{job_external_id}/suggested_skill_profile`\n    -   `GET /job_architecture/job_families/{job_family_external_id}/suggested_skill_profile`\n    -   `POST /job_architecture/export/jobs/suggested_skill_profiles`\n    -   `POST /job_architecture/export/job_families/suggested_skill_profiles`\n\n### January 2026\n\n-   Deprecated the `GET /taxonomy/changes` endpoint. This endpoint will be replaced\n    by the newly introduced `POST /taxonomy/changes` endpoint.\n\n### December 2023\n\n-   Introduced a `skill_id` field alongside Skill names in our API endpoints to\n    avoid ambiguities and conflicts. Using Skill names in a request body to\n    denote or update a Skill is deprecated, please use `skill_id` instead.\n    Existing functionality is backward-compatible.\n\n    The following endpoints are affected:\n\n    -   `PATCH /employees/{external_id}/skill_profile`\n    -   `PATCH /job_architecture/job_families/{job_family_external_id}/skill_profile`\n    -   `PATCH /job_architecture/jobs/{job_external_id}/skill_profile`\n    -   `PATCH /vacancies/{external_id}/skill_profile`\n    -   `PATCH /courses/{external_id}/skill_profile`\n    -   `PATCH /occupations/{external_id}/skill_profile`\n"
    },
    {
      "name": "Compatible Changes",
      "description": "The list below gives a sorted overview of non-breaking changes to the\nSkillEngine API. These changes are immediately available to you and will be\nsupported by your API, regardless of your version.\n\n### October 2026\n\n- Added the `GET /skill_event_types` endpoint that lists the Skill Event types\n  your tenant can send and the content fields each one takes.\n- Added 25 Skill Event types for business records (`it_incident`,\n  `support_ticket`, `technical_spec`, …) to\n  `POST /employees/{employee_external_id}/skill_events`, enabled per tenant on\n  request.\n\n### August 2026\n\n- Added `custom_properties` as an `include` value on\n  `POST /export/employees/skill_profiles` and `POST /export/skills` that\n  returns, per Skill, the custom properties set on it as a mapping of property\n  name to value.\n- Raised the maximum length of `ticket_description` on `ticket` Skill Events\n  from 10 000 to 50 000 characters.\n- Raised the maximum length of `description` on `merge_request` Skill Events\n  from 5 000 to 250 000 characters, and of `commits[].message` from 500 to\n  100 000 characters.\n- Added the `skill_description` field to the `vocab_update_add_skill` operation\n  of `GET /taxonomy/changes` and `POST /taxonomy/changes`.\n- Added the `vocab_update_description` operation type to `GET /taxonomy/changes`\n  and `POST /taxonomy/changes`, emitted when a Skill's description changes\n  between vocabulary versions.\n\n### July 2026\n\n- Added `output_language` as an `include` value on `POST /export/skills` that\n  returns, per Skill, the language its information was resolved from, so\n  fallback resolutions can be told apart from genuine translations.\n- Added `linked_jobs` as an `include` value on `POST /export/tasks` that\n  expands each Task with the Jobs it is assigned to.\n- Added the `external_vendor` query parameter to `POST /export/tasks` for the\n  `linked_jobs` include.\n- Added the `canonical_task_id_is_in_list` filter to `POST /export/tasks`.\n\n### June 2026\n\n- Added a top-level `unrecognized_skill_ids` array field to the\n  `400 Bad Request` response of `PATCH /employees/{external_id}/skill_profile`\n  when `feedback_format` is `external_vendor_skills` and one or more submitted\n  Skill IDs are not recognised. All unrecognized IDs are returned in a single\n  response so they can be removed and the request retried in one round trip.\n  The field is purely additive; the `skills` feedback format response is\n  unchanged.\n- Added the `domain_id`, `subdomain_id`, `cluster_id`, and `canonical_task_id`\n  fields to the task `hierarchy` block, giving each task-hierarchy level a\n  stable id alongside its name. The ids are returned (nullable) wherever the\n  hierarchy appears: `GET /tasks/{task_id}`, `GET /tasks/search`, the Employee\n  and Job Task Profile endpoints (both `list` and `hierarchy` response\n  formats), and the task exports (`POST /export/tasks`,\n  `POST /export/employees/task_profiles`, and\n  `POST /job_architecture/export/jobs/task_profiles`).\n- Added the `response_format` query parameter to the Job Family task-based\n  matching endpoints\n  (`POST /job_architecture/job_families/{job_family_external_id}/matching_job_families_by_tasks`\n  and\n  `GET /job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match`).\n- Added the `match_type` field to each entry in the `similar_tasks` array of the\n  `POST /tasks/validate` response, indicating how the similar Task was found.\n- Added `skill_source` as an `include` value on\n  `GET /job_architecture/jobs/{job_external_id}/skill_profile`,\n  `GET /employees/{external_id}/skill_profile`,\n  `POST /job_architecture/export/jobs/skill_profiles`, and\n  `POST /export/employees/skill_profiles`. When requested, each Skill in the\n  response gains a `skill_source` field indicating whether the Skill is a\n  custom Skill or originates from the TechWolf vocabulary.\n- Added the `GET /tasks/{task_id}` endpoint that fetches a single Task by id.\n- Added the `DELETE /tasks/{task_id}` endpoint that deletes a custom Task.\n- Added the `POST /tasks` endpoint that creates a custom Task.\n- Added the optional `source` body parameter to `POST /tasks` that records\n  free-text attribution for a custom Task.\n- Added the `POST /tasks/validate` endpoint that screens candidate Task names\n  for quality and uniqueness.\n- Added `task_source` and `enrichment_status` as `include[]` values on\n  `GET /tasks/search` and `POST /export/tasks`, plus `ai_impact` and `hierarchy`\n  on `GET /tasks/search`.\n- Added the `response_format` query parameter to the task-based matching\n  endpoints (`POST /job_architecture/jobs/{job_external_id}/matching_jobs_by_tasks`,\n  `GET /job_architecture/jobs/{job_external_id}/jobs/{other_job_external_id}/task_match`,\n  and `POST /tasks/matching`).\n\n### May 2026\n\n- Added a new `POST /tasks/matching` endpoint that returns the symmetric\n  task-based match score between two caller-supplied task sets.\n- Added a new `POST /job_architecture/jobs/{job_external_id}/matching_jobs_by_tasks`\n  endpoint that returns the Jobs whose task profiles best match the given Job,\n  ranked by task-match score.\n- Added a new `GET /job_architecture/jobs/{job_external_id}/jobs/{other_job_external_id}/task_match`\n  endpoint that returns the symmetric task-based match score between two Jobs.\n- Added a new `POST /job_architecture/job_families/{job_family_external_id}/matching_job_families_by_tasks`\n  endpoint that returns the Job Families whose task profiles best match the\n  given Job Family, ranked by task-match score.\n- Added a new `GET /job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match`\n  endpoint that returns the symmetric task-based match score between two Job\n  Families.\n- Added the `normalized` query parameter to `POST /skills/lookup`. When set to\n  `true`, the endpoint matches Skill names case-insensitively and\n  diacritic-insensitively (Latin diacritics only), so inputs like `Café`,\n  `café`, and `cafe` all resolve to the same Skill. Defaults to `false`\n  (exact match).\n- Added the `query` field to every entry in the response of\n  `POST /skills/lookup`. It echoes the Skill name as provided in the request\n  body. When `normalized=false`, `query` always equals `skill_name`. When\n  `normalized=true` and the Skill is matched, `query` may differ from\n  `skill_name` in casing or Latin diacritics. On a miss, `skill_name` falls\n  back to the input value, so the field is always non-null.\n\n### April 2026\n\n- Added a new `GET /taxonomy/skills/languages` endpoint that returns the list of language codes\n  available for Skills in the tenant's vocabulary. An optional `external_vendor` query parameter\n  can be provided to retrieve languages for a specific vendor vocabulary.\n\n- Extended the `vocab_language` query parameter to support 12 additional language codes\n  **when scoped to the `workday` vendor** (via `external_vendor=workday`):\n  `es` (Spanish), `fr_ca` (French Canadian), `it` (Italian), `ja` (Japanese), `ko` (Korean),\n  `pt_br` (Brazilian Portuguese), `zh_cn` (Simplified Chinese), `zh_tw` (Traditional Chinese),\n  `sv` (Swedish), `fi` (Finnish), `da` (Danish), and `no` (Norwegian).\n  The default TechWolf vocabulary continues to support only `en`, `en_uk`, `en_us`, `de`,\n  `fr`, and `nl`. Use the new `GET /taxonomy/skills/languages` endpoint to discover the\n  exact set of languages available for a given vendor in your tenant.\n  Additionally, IETF BCP 47 language tags (e.g. `fr-FR`, `zh-CN`, `nb-NO`) are now accepted\n  and mapped to their internal equivalents. This applies to all endpoints that accept the\n  `vocab_language` parameter.\n\n### March 2026\n\n- Added the `low_data_availability` filter to matching endpoints. When\n  `exclude_low_data_availability` is set to `true`, entities with insufficient\n  data for qualitative Skill inference are excluded from matching results. This\n  filter is available on the following endpoints:\n    - `POST /employees/{external_id}/matching_vacancies`\n    - `POST /employees/{external_id}/matching_jobs`\n    - `POST /vacancies/{external_id}/matching_employees`\n    - `POST /job_architecture/jobs/{job_external_id}/matching_employees`\n    - `POST /job_architecture/jobs/{job_external_id}/matching_source_jobs`\n    - `POST /job_architecture/jobs/{job_external_id}/matching_target_jobs`\n    - `POST /job_architecture/job_families/{job_family_external_id}/matching_employees`\n    - `POST /companies/{external_id}/matching_employees`\n    - `POST /employees/{external_id}/metrics/employability`\n    - `POST /export/employees/matching_vacancies`\n    - `POST /export/employees/matching_jobs`\n    - `POST /export/vacancies/matching_employees`\n    - `POST /job_architecture/export/jobs/matching_employees`\n- Added the `active_only` query parameter to\n  `GET /reports/data_maturity_scan/data_improvement_actions`. When set to `true`,\n  only active Employees and Jobs are included in the Data Improvement Actions.\n- Added the `category` query parameter to `POST /job_architecture/export/suggestions`\n  and `POST /job_architecture/suggestions/interactions`. Set `category=tasks` to\n  export or interact with task suggestions instead of the default skill suggestions.\n- Added the `429 Too Many Requests` response to all API endpoints. The API now\n  returns this status code when rate limits are exceeded.\n- Added a new **Working History Dates** action generator to the Data Improvement Actions report\n  (`GET /reports/data_maturity_scan/data_improvement_actions`). It identifies Working History\n  Skill Events where a duration cannot be calculated due to missing `start_date`, missing\n  `end_date`, or identical start and end dates. Examples are grouped by Employee.\n- The `include=proficiency_level` parameter on Job and Job Family Skill Profile endpoints now\n  returns `governed_proficiency_level` and `inferred_proficiency_level` fields (instead of\n  `proficiency_level`). Similarly, `include=proficiency_float` returns `governed_proficiency_float`\n  and `inferred_proficiency_float`, and `include=critical` returns `governed_critical` and\n  `inferred_critical`. This applies to the following endpoints:\n    - `GET /job_architecture/jobs/{job_external_id}/skill_profile`\n    - `GET /job_architecture/job_families/{job_family_external_id}/skill_profile`\n    - `POST /job_architecture/export/jobs/skill_profiles`\n    - `POST /job_architecture/export/job_families/skill_profiles`\n- The `validation_state` field is now always included on each Skill in the response of the\n  above endpoints. The `include=skill_validation_state` parameter is no longer needed.\n- Suggested Skills (with `validation_state: \"suggested\"`) are now returned alongside governed\n  Skills in the Skill Profile response for the above endpoints.\n- Added the `strict` query parameter to\n  `POST /employees/{employee_external_id}/skill_events`. When `strict` is enabled,\n  Skill Event creation will fail if the referenced Job has an empty Skill Profile.\n- Added the `end_active_jobs` query parameter to\n  `POST /employees/{employee_external_id}/skill_events`. When enabled, any currently\n  active working history Skill Event (without an `end_date`) for the Employee will be\n  ended automatically when the new Skill Event is created.\n\n### February 2026\n\n- Added the `include=business_relevant` query parameter to the `POST /export/skills`\n  endpoint to include whether a Skill is marked as business relevant.\n- Added the `output_skills_sorting` query parameter to `GET /employees/{external_id}/skill_profile` to sort Skills alphabetically or by decreasing confidence.\n- The `output_skills_sorting` body parameter on `POST /export/employees/skill_profiles` now also works when an external vendor is specified.\n- Added the `vocab_language` query parameter to the following matching endpoints\n  to specify the display language for Skill names in the response:\n    - `POST /employees/{external_id}/matching_vacancies`\n    - `POST /employees/{external_id}/matching_jobs`\n    - `POST /employees/{external_id}/matching_job_families`\n    - `GET /employees/{employee_external_id}/match_assigned_position`\n    - `GET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/match`\n    - `GET /employees/{employee_external_id}/jobs/{job_external_id}/match`\n    - `GET /employees/{employee_external_id}/job_families/{job_family_external_id}/match`\n    - `POST /vacancies/{external_id}/matching_employees`\n    - `POST /job_architecture/jobs/{job_external_id}/matching_employees`\n    - `GET /job_architecture/jobs/{job_external_id}/market_alignment`\n    - `GET /job_architecture/jobs/{job_external_id}/market_skill_profiles`\n    - `POST /job_architecture/jobs/{job_external_id}/matching_source_jobs`\n    - `POST /job_architecture/jobs/{job_external_id}/matching_target_jobs`\n    - `POST /job_architecture/job_families/{job_family_external_id}/matching_employees`\n    - `POST /export/employees/match_assigned_position`\n    - `POST /export/vacancies/matching_employees`\n    - `POST /export/employees/matching_vacancies`\n    - `POST /export/employees/matching_jobs`\n    - `POST /job_architecture/export/jobs/matching_employees`\n    - `POST /job_architecture/export/jobs/market_alignment`\n    - `POST /job_architecture/export/job_families/suggested_skill_profiles`\n    - `POST /job_architecture/export/suggestions`\n    - `POST /employees/{employee_external_id}/recommended_courses`\n    - `GET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/recommended_courses`\n    - `POST /employees/{employee_external_id}/vacancies/{vacancy_external_id}/recommended_courses`\n    - `POST /employees/{employee_external_id}/jobs/{job_external_id}/recommended_courses`\n    - `POST /skills/lookup`\n    - `POST /export/employees/skill_profiles`\n    - `POST /job_architecture/export/jobs/suggested_skill_profiles`\n    - `GET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/gap`\n- Added the **Work Intelligence Task Profile** endpoints (experimental):\n    - `GET /tasks/search` - Search for Tasks using a fuzzy text query with AI\n      impact information\n    - `GET /employees/{employee_external_id}/task_profile` - Retrieve an\n      Employee's Task Profile with optional AI impact and source event\n      information\n    - `GET /job_architecture/jobs/{job_external_id}/task_profile` - Retrieve a\n      Job's Task Profile with optional AI impact and source data information\n    - `POST /export/employees/task_profiles` - Export Task Profiles for all\n      Employees with pagination and filters\n    - `POST /job_architecture/export/jobs/task_profiles` - Export Task Profiles\n      for all Jobs with pagination and filters\n    - `PATCH /employees/{employee_external_id}/task_profile` - Provide feedback\n      on tasks in an Employee's Task Profile, setting each task's\n      `validation_state` to `validated` or `rejected`\n    - `PATCH /job_architecture/jobs/{job_external_id}/task_profile` - Provide\n      feedback on tasks in a Job's Task Profile, setting each task's\n      `validation_state` to `validated` or `rejected`\n    - `POST /export/tasks` - Bulk export of Tasks.\n- Added the `inferred_proficiency_level` field to the return of the\n  `POST /employees/suggestions/skills` endpoint when `include=proficiency` is\n  set as a query parameter\n- Added the `include=inference_enabled` query parameter to indicate whether the \n  Skill can be inferred, applicable to the following endpoints:\n    - `GET /taxonomy/skills`\n    - `GET /taxonomy/skills/{skill_id}`\n    - `GET /taxonomy/export`\n    - `POST /export/skills`\n\n### January 2026\n\n- Added the `vocab_language` query parameter to the following endpoints to\n  specify the display language for Skill names in the response:\n    - `POST /job_architecture/jobs/metrics/adoption_metrics`\n    - `POST /job_architecture/export/job_families/skill_profiles`\n    - `POST /job_architecture/export/jobs/skill_profiles`\n    - `POST /job_architecture/export/jobs/market_skill_profiles`\n    - `POST /employees/metrics/adoption_metrics`\n- Added the `merge_request` Skill Event type for Employees. When creating or\n  updating Skill Events via\n  `POST /employees/{employee_external_id}/skill_events` or\n  `PATCH /employees/{employee_external_id}/skill_events/{skill_event_external_id}`,\n  the `event_type` can now be `merge_request` with content containing `title`,\n  `description`, and `commits` (list of objects with `message`). Merge request\n  events are processed asynchronously to infer skills from the title,\n  description, and commit messages.\n- Changed the `POST /taxonomy/skills` endpoint to require write_skills scope\n  access.\n- Added the `DELETE /taxonomy/skills/{skill_id}` endpoint which allows for\n  deleting custom Skills from the system. This endpoint requires write_skills\n  scope access.\n- Added the `vocab_language` query parameter to the\n  `PATCH /taxonomy/skills/{skill_id}` endpoint to support updating descriptions\n  and names of Skills in different languages.\n- Added the `skill_source` to the output of the following endpoints:\n    - `GET /taxonomy/skills/{skill_id}`\n    - `GET /taxonomy/skills`\n    - `GET /taxonomy/export`\n    - `POST /export/skills`\n- Added the `default_skill_name` and `default_skill_description` to the output\n  of the following endpoints:\n    - `GET /taxonomy/skills/{skill_id}`\n    - `GET /taxonomy/skills`\n    - `GET /taxonomy/export`\n- Added the `include=default_skill_name` and `include=default_skill_description`\n  to the `POST /export/skills` endpoint to add the `default_skill_name` and\n  `default_skill_description` to the output.\n- Added the `filters` body parameter with the `skill_id_is_in_list` and\n  `skill_source` filters to the `POST /export/skills` endpoint.\n- Added pagination to the `POST /export/skills` endpoint using the `limit` and\n  `starting_after` body parameters.\n- Added the `external_vendor` query parameter to the `GET /taxonomy/changes`\n  endpoint to support retrieving Taxonomy Changes in an external vendor's Skill\n  vocabulary.\n- Added the `create_skill` and `delete_skill` operation types to the\n  `GET /taxonomy/changes` and `POST /taxonomy/apply` endpoints.\n- Added the `POST /taxonomy/changes` endpoint.\n- Added the `vocab_update_add_skill` operation type to the\n  `GET /taxonomy/changes` and `POST /taxonomy/changes` endpoint.\n\n### December 2025\n\n- Added the `include_overqualified` and `min_critical_skills_match_ratio`\n  parameters to the employee-job matching endpoints to filter matches based on\n  their overqualification status and on the matching ratio of critical skills.\n- Enhanced the employee-job matching and match endpoints\n  (`POST /employees/{external_id}/matching_jobs`,\n  `POST /job_architecture/jobs/{job_external_id}/matching_employees`,\n  `POST /matching/export/employees/matching_jobs`,\n  `POST /job_architecture/export/jobs/matching_employees`,\n  `GET /employees/{employee_external_id}/match_assigned_position`,\n  `GET /employees/{employee_external_id}/jobs/{job_external_id}/match`, and\n  `POST /export/employees/match_assigned_position`) to automatically include\n  additional fields when proficiency matching or criticality matching is enabled\n  on the tenant. When proficiency matching is enabled, responses include\n  `overqualified` status (for matching endpoints only), `skill_proficiency`, and\n  `adjacent_skill_proficiency` fields. When criticality matching is enabled,\n  responses include `critical` and `gap_impact` fields.\n- Added the `include` query parameter to the\n  `GET /reports/data_maturity_scan/job_maturity_overview` and\n  `GET /reports/data_maturity_scan/employee_maturity_overview` endpoints to\n  include additional metrics in the response.\n    - For Jobs: `job_data_count` and `data_distribution`.\n    - For Employees: `valid_assigned_position`, `has_business_data`, and\n      `sufficient_working_history`.\n- Removed `MIN_SOURCE_CONFIRMATION` from the list of possible reasons in the\n  Data Maturity Scan maturity overview endpoints.\n- Added the `is_active` query parameter to the\n  `GET /reports/data_maturity_scan/job_maturity_overview` and\n  `GET /reports/data_maturity_scan/employee_maturity_overview` endpoints to\n  filter entities by their active status.\n- Removed the `force_recalculate` parameter from the\n  `GET /reports/data_maturity_scan/job_maturity_overview` and\n  `GET /reports/data_maturity_scan/employee_maturity_overview` endpoints as the\n  underlying data is now updated continuously.\n\n### November 2025\n\n- Added the `low_data_availability` query paremeter to the `GET /employees`\n  endpoint.\n- Added the `low_data_availability` and `job_family` query parameters to the\n  `GET /job_architecture/jobs` endpoint.\n- Added the `job_count` to the output of the `GET /job_architecture/export`\n  endpoint.\n\n### October 2025\n\n- Added the `external_vendor` query parameter to the\n  `PUT /taxonomy/skill_clusters/{skill_cluster_external_id}/skills/{skill_id}`\n  and\n  `DELETE /taxonomy/skill_clusters/{skill_cluster_external_id}/skills/{skill_id}`\n  endpoints to support applying Taxonomy Changes in an external vendor's Skill\n  vocabulary.\n- Added the `external_vendor` query parameter to the\n  `GET /taxonomy/skill_clusters/{skill_cluster_external_id}/skills`,\n  `GET /taxonomy/export` and `GET /taxonomy/skills` endpoints to display Skills\n  in an external vendor's Skill vocabulary.\n- Added the `include=properties` query parameter to the following endpoints to\n  show properties of each Skill:\n    - `GET /taxonomy/skill_clusters/{skill_cluster_external_id}/skills` (List\n      skills in a skill cluster)\n    - `GET /taxonomy/skills` (List all skills)\n    - `POST /export/skills` (Export all skills)\n    - `GET /taxonomy/export` (Taxonomy export)\n    - `GET /taxonomy/skills/{skill_id}` (Get Skill endpoint)\n    - `GET /employees/{external_id}/skill_profile` (Get Employee Skill profile)\n    - `GET /job_architecture/job_families/{job_family_external_id}/skill_profile`\n      (Get Skill Profile Job Family)\n    - `GET /job_architecture/job_families/{job_family_external_id}/suggested_skill_profile`\n      (Get suggested skill profile Job Family)\n    - `GET /job_architecture/jobs/{job_external_id}/skill_profile` (Get Skill\n      Profile Job)\n    - `GET /job_architecture/jobs/{job_external_id}/suggested_skill_profile`\n      (Get suggested skill profile Job)\n    - `GET /job_architecture/jobs/{job_external_id}/market_skill_profiles` (Get\n      external market profiles for Job)\n    - `POST /export/employees/skill_profiles` (Export Employee Skill Profile)\n    - `POST /job_architecture/export/jobs/skill_profiles` (Export Job Skill\n      Profile)\n    - `POST /job_architecture/export/jobs/suggested_skill_profiles` (Export\n      Suggested Job Skill Profile)\n    - `POST /job_architecture/export/jobs/market_skill_profiles` (Export Market\n      Job Skill Profile)\n    - `POST /job_architecture/export/job_families/skill_profiles` (Export Job\n      Family Skill Profile)\n    - `POST /job_architecture/export/job_families/suggested_skill_profiles`\n      (Export Job Family Skill Suggested Profile)\n- Added the `properties` query parameter to the following endpoints to filter\n  skills by their properties:\n    - `POST /employees/suggestions/skills` (Get suggestions, validated and\n      rejected Skills for selected Employees)\n    - `GET /skills/search` (Search for Skills similar to the text provided) The\n      parameter uses the format `properties[property_name]=value` to filter\n      skills that have a specific property with a specific value. For example,\n      `properties[sap_status]=active` will only return skills that have the\n      `sap_status` property set to `active`.\n- Added the `external_vendor` query parameter to the\n  `PATCH /taxonomy/skills/{skill_id}` endpoint to support updating descriptions\n  and properties of Skills in an external vendor's Skill vocabulary.\n- Added the `POST /taxonomy/skills` endpoint which allows for creating new\n  Skills in the system, either in TechWolf Skill vocabulary or an external\n  vendor's Skill vocabulary. This endpoint requires admin scope access.\n- Added the `restore` query parameter to the `POST /employees` endpoint to\n  enable support for restoration of soft deleted Employees during the grace\n  period.\n- Added the `include=proficiency` and `include=job_critical` to the query\n  parameters of the `GET /employees/{employee_external_id}/suggestions/skills`\n  endpoint to allow the `self_rated_proficiency_level` and\n  `is_job_critical_skill` attributes to be included in the response.\n- Added the `external_vendor` query parameter to all matching endpoints and some\n  additional endpoints:\n    - `POST /employees/{external_id}/matching_vacancies`\n    - `POST /vacancies/{external_id}/matching_employees`\n    - `POST /employees/{external_id}/matching_jobs`\n    - `POST /job_architecture/jobs/{external_id}/matching_employees`\n    - `POST /job_architecture/jobs/{external_id}/matching_source_jobs`\n    - `POST /job_architecture/jobs/{external_id}/matching_target_jobs`\n    - `POST /employees/{external_id}/matching_job_families`\n    - `POST /job_architecture/job_families/{external_id}/matching_employees`\n    - `POST /employees/{external_id}/matching_companies`\n    - `POST /companies/{external_id}/matching_employees`\n    - `GET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/match`\n    - `GET /employees/{employee_external_id}/jobs/{job_external_id}/match`\n    - `GET /employees/{employee_external_id}/job_families/{job_family_external_id}/match`\n    - `GET /employees/{employee_external_id}/match_assigned_position`\n    - `POST /employees/{employee_external_id}/recommended_courses`\n    - `POST /employees/{employee_external_id}/jobs/{job_external_id}/recommended_courses`\n    - `POST /employees/{employee_external_id}/vacancies/{vacancy_external_id}/recommended_courses`\n    - `POST /export/employees/match_assigned_position`\n    - `POST /export/employees/matching_jobs`\n    - `POST /export/employees/matching_vacancies`\n    - `POST /export/vacancies/matching_employees`\n    - `POST /job_architecture/export/jobs/matching_employees`\n    - `POST /employees/search`\n    - `POST /companies/search`\n    - `POST /vacancies/search`\n    - `POST /skills/lookup`\n\n### September 2025\n\n- Added the `GET /export/vacancies/skill_profiles` endpoint to paginate through\n  all Skill Profiles of Vacancies in the API in bulk.\n- Added support to display Skill Profiles in external vendor Skills with the\n  `response_format=list` response format in the\n  `POST /export/courses/skill_profiles` and\n  `POST /export/vacancies/skill_profiles`\n- Added support to display hierarchical Skill profiles with the\n  `response_format=hierarchy` response format, for the\n  `POST /export/courses/skill_profiles` and the\n  `POST /export/vacancies/skill_profiles` endpoints, both for TechWolf Skills\n  and external vendor Skills.\n- Added an experimental `POST /export/skills` endpoint that exports the\n  information for all Skills in the system.\n- Added the `POST /export/employees/matching_jobs` endpoint to export the top\n  matching Jobs for Employees.\n- Added the `POST /job_architecture/export/jobs/matching_employees` endpoint to\n  export the top matching Employees for Jobs.\n- Added the `POST /export/employees/matching_vacancies` endpoint to export the\n  top matching Vacancies for Employees.\n- Added the `POST /export/vacancies/matching_employees` endpoint to export the\n  top matching Employees for Vacancies.\n- Added the `external_vendor` query parameter to the `POST /taxonomy/apply`\n  endpoint to support applying Taxonomy Changes in an external vendor's Skill\n  vocabulary.\n\n### August 2025\n\n- Added instructions on how to set up OAuth authentication to the Workday Skill\n  Sync Integration documentation.\n- Added support to display descriptions and domains for external vendor Skills\n  in the `GET /taxonomy/skills/{skill_id}` endpoint.\n- Added support to display Skill Profiles in external vendor Skills with the\n  `response_format=hierarchy` response format in the\n  `GET /employees/skill_profiles` and `POST /export/employees/skill_profiles`\n  endpoints.\n- Added support to display hierarchical Skill profiles with the\n  `response_format=hierarchy` response format, for the\n  `GET /courses/{course_external_id}/skill_profile` and the\n  `GET /vacancies/{vacancy_external_id}/skill_profile` endpoints, both for\n  TechWolf Skills and external vendor Skills.\n\n### July 2025\n\n- Add support to display adoption metrics in external vendor Skills in the\n  `POST /job_architecture/jobs/metrics/adoption_metrics` and\n  `POST employees/metrics/adoption_metrics` endpoints.\n- Add support to display Skill Profiles in external vendor Skills with the\n  `response_format=hierarchy` response format in the\n  `GET /job_architecture/jobs/skill_profiles` and\n  `GET /job_architecture/job_families/skill_profiles` endpoints.\n- Add support to display Skill Profiles in external vendor Skills in the\n  `POST /job_architecture/export/jobs/skill_profiles` and\n  `POST /job_architecture/export/job_families/skill_profiles` endpoints.\n- Add support to display the market Skill Profiles in external vendor Skills in\n  the `GET /job_architecture/jobs/market_skill_profiles` and\n  `POST /job_architecture/export/jobs/market_skill_profiles` endpoints.\n\n### June 2025\n\n- Update the `include` parameter in the  \n   `GET /employees/{employee_external_id}/skill_profile` endpoint to allow\n  `inferred_proficiency_level` and `inferred_proficiency_float` to be included\n  with `response_format=list`.\n- Update the `include` body parameter in the  \n   `POST export/employees/skill_profiles` endpoint to allow the\n  `self_rated_proficiency_level`, `self_rated_proficiency_float`\n  ,`inferred_proficiency_level` and `inferred_proficiency_float` fields to be\n  included.\n- Add the `GET /job_architecture/issues` endpoint to fetch Job issues.\n- Add the `GET /job_architecture/issues/summary` endpoint to get a summary of\n  the number of Job issues per type.\n- Add the `include=issues` parameter to the `GET /job_architecture/export`\n  endpoint.\n- Add the `GET /job_architecture/changes` endpoint to fetch Job architecture\n  changes.\n- Add the `POST /job_architecture/changes` endpoint to start the batch\n  generation of Job changes.\n- Add the `PATCH /job_architecture/changes` endpoint to bulk update multiple job\n  architecture changes at once.\n- Add the `GET /job_architecture/changes/summary` endpoint to get a summary of\n  the number of Job changes per type.\n- Add the `POST /job_architecture/changes/preview` endpoint to generate a\n  preview Job change.\n- Add the `GET /job_architecture/changes/{change_id}` endpoint to get detailed\n  information about a specific Job architecture change.\n- Add the `PATCH /job_architecture/changes/{change_id}` endpoint to update a\n  specific Job architecture change with new data.\n\n### May 2025\n\n- Add the `self_rated_proficiency_level` and `self_rated_proficiency_float`\n  attributes to the request body of the\n  `PATCH /employees/{employee_external_id}/skill_profile` endpoint for the\n  `skills` and `external_vendor_skills` feedback formats.\n- Update the `include` parameter in the\n  `GET /employees/{employee_external_id}/skill_profile` endpoint to allow\n  `self_rated_proficiency_level` and `self_rated_proficiency_float` to be\n  included with `response_format=list`.\n\n### April 2025\n\n- Add the `GET /job_architecture/jobs/market_alignment` and\n  `POST job_architecture/export/jobs/market_alignment` endpoints.\n\n### March 2025\n\n- Add `ticket_system` field to the `ticket` event type to be able to specify the\n  ticketing system where the ticket originated from. This field is important for\n  skill inference as different models may be used for different ticketing\n  systems.\n\n### February 2025\n\n- Allow patching of Organisational Units with `parent_id=null` to become a root\n  Organisational Unit in the `PATCH /organisational_units/{external_id}`\n  endpoint.\n- Add `GET /job_architecture/peer_groups` endpoint.\n\n### January 2025\n\n- Add the optional `proficiency_float` field to the request body of the\n  `PATCH /job_architecture/jobs/{job_external_id}/skill_profile` and\n  `PATCH /job_architecture/job_families/{job_family_external_id}/skill_profile`\n  endpoints.\n- Add the `include=proficiency_float` option to the include query parameter of\n  the `GET /job_architecture/jobs/{job_external_id}/skill_profile` and\n  `GET /job_architecture/job_families/{job_family_external_id}/skill_profile`\n  endpoints.\n- Add the `include=proficiency_float` option to the include body parameter of\n  the `POST /job_architecture/export/jobs/skill_profiles` and\n  `POST /job_architecture/export/job_families/skill_profiles` endpoints.\n- Add the `external_vendor` query parameter to the\n  `POST /employees/suggestions/skills` endpoint\n- Remove the `strict` query parameter from the\n  `POST /employees/suggestions/skills` endpoint\n- Add the `include=critical` option to the include query parameters to the\n  `GET /job_architecture/jobs/{job_external_id}/suggested_skill_profile`\n  endpoint.\n- Update the `include` parameter in the\n  `GET /job_architecture/jobs/{job_external_id}/skill_profile` and\n  `GET /job_architecture/job_families/{job_family_external_id}/skill_profile`\n  endpoints to allow `proficiency_level` and `critical` to be included with\n  `response_format=hierarchy`\n- Make the `skill_cluster_description` optional and set it to an empty string by\n  default. Additionally, save any placeholder value or a description that\n  exactly matches the Skill Cluster name as an empty string.\n\n### December 2024\n\n- Add the `include=proficiency_level` and `include=critical` options to the\n  include body parameter of the\n  `POST /job_architecture/export/jobs/skill_profiles` endpoint.\n- Add the `include=proficiency_level` and `include=critical` options to the\n  include body parameter of the\n  `POST /job_architecture/export/job_families/skill_profiles` endpoint.\n- Add the `external_vendor` query parameter to the `GET /skills/search`\n  endpoint.\n- Return the default proficiency level when no proficiency level is set in the\n  `GET /job_architecture/jobs/{job_external_id}/skill_profile`,\n  `POST /job_architecture/export/jobs/skill_profiles`,\n  `GET /job_architecture/job_families/{job_family_external_id}/skill_profile`,\n  and `POST /job_architecture/export/job_families/skill_profiles` endpoints.\n- Add the `force_recalculate` query parameter to all report endpoints.\n\n### November 2024\n\n- Add `limit`, `offset`, and `update_low_data_availability` query parameters to\n  the `GET /reports/data_maturity_scan/employee_maturity_overview` and\n  `GET /reports/data_maturity_scan/job_maturity_overview` endpoints.\n- Add `include=skill_cluster_description` parameter to the\n  `GET /taxonomy/skill_clusters` endpoint.\n- Add `skill_cluster_description` response body field and query parameter\n  `include=skill_cluster_description` to the `GET taxonomy/export` endpoint.\n- Add the `PATCH /taxonomy/skills/{skill_id}` endpoint.\n- Return the custom Skill description in the `GET /taxonomy/skills`,\n  `GET /taxonomy/skills/{skill_id}`, and `GET /taxonomy/export` endpoints if one\n  is set.\n- Add the `update_skill` operation type to the `GET /taxonomy/changes` and\n  `POST /taxonomy/apply` endpoints.\n- Add `include=skill_description` parameter to the\n  `/taxonomy/skill_clusters/{skill_cluster_external_id}/skills` endpoint.\n- Add `GET /job_architecture/jobs/{job_external_id}/market_skill_profiles` and\n  `POST /job_architecture/export/jobs/market_skill_profiles` endpoints.\n- Add the `proficiency_level` and `critical` attributes to the request body of\n  the `PATCH /job_architecture/jobs/{job_external_id}/skill_profile` endpoint.\n- Add the `proficiency_level` and `critical` attributes to the request body of\n  the\n  `PATCH /job_architecture/job_families/{job_family_external_id}/skill_profile`\n  endpoint.\n- Add the `include=proficiency_level` and `include=critical` query parameters to\n  the `GET /job_architecture/jobs/{job_external_id}/skill_profile` and\n  `GET /job_architecture/job_families/{job_family_external_id}/skill_profile`\n  endpoints.\n\n### October 2024\n\n- Add `POST /job_architecture/jobs/metrics/adoption_metrics` endpoint.\n- Add `POST /employees/metrics/adoption_metrics` endpoint.\n- Add `source_data` to `skills` returned in\n  `GET/job_architecture/jobs/{job_external_id}/skill_profile` and\n  `GET/job_architecture/job_families/{job_family_external_id}/skill_profile`\n  endpoints.\n- Add CRUD operations for Custom Properties and Custom Property Definitions for\n  Organisational Units.\n- Add `active` attribute to the Organisational Unit entity.\n- Add `hierarchy` as a possible response format for the\n  `GET /employees/{employee_external_id}/skill_profile` endpoint.\n- Add `include=custom_properties` parameter to\n  `GET/job_architecture/job_families`, `GET/job_architecture/jobs`,\n  `GET/courses`, `GET/vacancies`, `GET/employees`, `GET/companies`,\n  `GET/taxonomy/domains`, `GET/taxonomy/subdomains`,\n  `GET/taxonomy/skill_clusters` and `GET/taxonomy/skills` endpoints.\n- Add `output_skills_sorting` parameter to\n  `GET /job_architecture/export/job_families/suggested_skill_profiles`,\n  `GET /job_architecture/export/job_families/skill_profiles`,\n  `GET /job_architecture/export/jobs/suggested_skill_profiles` and\n  `GET /job_architecture/export/jobs/skill_profiles` endpoints.\n- Deprecate the\n  `GET /job_architecture/jobs/{job_external_id}/market_skill_profile` endpoint.\n- Add the `vocab_update_rename_skill`, `vocab_update_merge_skill`, and\n  `vocab_update_remove_skill` operation types to the `GET /taxonomy/changes`\n  endpoint.\n\n### September 2024\n\n- Add `GET /job_architecture/jobs/{job_external_id}/matching_source_jobs`\n  endpoint.\n- Add `GET /job_architecture/jobs/{job_external_id}/matching_target_jobs`\n  endpoint.\n- Add error code 400 as possible response code for\n  `DELETE /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}`\n  for\n  `DELETE /job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}`\n  when trying to delete Skill Profile Feedback instances and respective examples\n  for this\n- Add\n  `GET /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}`\n  endpoint.\n- Add `skill_profile_feedback` as a `data_type` to the Job Family Profile Data\n  of a Job Family. This new `data_type` may be included the responses of\n  `GET /job_architecture/job_families/{job_family_external_id}/profile_data` and\n  `GET /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}`.\n- Add\n  `GET /job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}`\n  endpoint.\n- Add `skill_profile_feedback` as a `data_type` to the Job Profile Data of a\n  Job. This new `data_type` may be included the responses of\n  `GET /job_architecture/jobs/{job_external_id}/profile_data` and\n  `GET /job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}`.\n- Add `skill_id` query parameter to the `GET /employees` and\n  `GET /organisational_units/export` endpoints that allows for filtering the\n  returned entities on whether their Skill Profile contains a certain Skill.\n- Add an experimental `POST /employees/suggestions/skill` endpoint that allows\n  to find suggested, validated, and rejected Skill suggestions for Employees.\n- Add `en_us`, `de`, and `fr` to the list of supported values for the\n  `vocab_language` query parameters in the\n  `GET /{entity}/{external_id}/skill_profile`,\n  `GET /taxonomy/skill_clusters/{external_id}/skills`, `GET /taxonomy/skill/`,\n  and `GET /taxonomy/export/` endpoints.\n- Add the `low_data_availability_flag` to the possible values of the `include`\n  query parameter of the `GET /organisational_units/export` and\n  `GET /job_architecture/export` endpoints.\n- Add `skill_id` query parameter to the `GET /job_architecture/export` endpoint\n  that allows for filtering the entities on whether their Skill Profile contains\n  a certain Skill.\n- Add `source_coverage` metric to the response of the\n  `GET /reports/data_maturity_scan/job_quality_matrix` and\n  `GET /reports/data_maturity_scan/employee_quality_matrix` endpoints.\n- Add `skill_name`, `skill_cluster_name`, `subdomain_name`, and `domain_name` to\n  the output of `GET /taxonomy/changes`.\n- Add `subdomain_name` to output of the\n  `POST /job_architecture/export/jobs/skill_clusters`,\n  `POST /export/employees/skill_clusters` and\n  `GET /employees/<employee_id>/skill_profile?response_format=skill_clusters`\n  endpoints for 4-level Taxonomies.\n- Add `source_data` to the output of\n  `GET /jobs/{job_external_id}/suggested_skill_profile`,\n  `GET /job_families/{job_family_external_id}/suggested_skill_profile`,\n  `POST /job_architecture/export/jobs/suggested_skill_profiles`, and\n  `POST /job_architecture/export/job_families/suggested_skill_profiles`.\n- Add endpoints `POST /integrations/file_load_task` to upload a CSV-file from S3\n  into the system and `GET /integrations/file_load_task/{task_id}` to get the\n  status of the File Load Task.\n\n### August 2024\n\n- Add `skill_validation_state` to the possible values of the `include` query\n  parameter of the `GET /job_architecture/export/jobs/skill_profiles`,\n  `GET /job_architecture/export/jobs/suggested_skill_profiles`,\n  `GET /job_architecture/export/job_families/skill_profiles`, and\n  `GET /job_architecture/export/job_families/suggested_skill_profiles`\n  endpoints.\n- Add `skill_validation_state` to the possible values of the `include` query\n  parameter of the\n  `GET /job_architecture/job_families/{job_family_external_id}/skill_profile`\n  and\n  `GET /job_architecture/job_families/{job_family_external_id}/suggested_skill_profile`\n  endpoints.\n- Add `skill_validation_state` to the possible values of the `include` query\n  parameter of the `GET /job_architecture/jobs/{job_external_id}/skill_profile`\n  and `GET /job_architecture/jobs/{job_external_id}/suggested_skill_profile`\n  endpoints.\n- Add Employee and Job key metric reports. `GET /reports/employees/key_metrics`\n  `GET /reports/jobs/key_metrics`\n  `GET /job_architecture/jobs/{job_external_id}/suggested_skill_profile`\n\n### July 2024\n\n- Add CRUD operations for Organisational Units.\n- Add export endpoint `GET /organisational_units/export` to get the full\n  hierarchy of the Organisational Units including the `total_nr_of_employees`\n  field.\n- Added `organisational_unit` field to Employees that is returned in\n  `GET /employees` and `GET /employees/{external_id}`.\n- Added query parameter `organisational_unit` to `GET /employees` to filter\n  Employees on their linked Organisational Unit.\n- Added the `low_data_availability_flag` to the possible values of the `include`\n  query parameter of the `GET /employees/{external_id}/skill_profile` and\n  `GET /job_architecture/jobs/{job_external_id}/skill_profile` endpoints.\n- Added the `low_data_availability_flag` to the possible values of the `include`\n  body parameter of the `POST /export/employees/skill_profiles` and\n  `POST /job_architecture/export/jobs/skill_profiles` endpoints that allows\n  including the low data availability flag in the output.\n- Added the option to upload files of data type `job_description` as Job Profile\n  Data. Available in the\n  `POST /job_architecture/jobs/{job_external_id}/profile_data` and\n  `PATCH /job_architecture/jobs/{job_external_id}/profile_data` endpoint.\n- Added the option to upload files of data type `job_family_description` as Job\n  Family Profile Data. Available in the\n  `POST /job_architecture/job_families/{job_family_external_id}/profile_data`\n  and\n  `PATCH /job_architecture/job_families/{job_family_external_id}/profile_data`\n  endpoint.\n\n### June 2024\n\n- Add `low_data_availability` attribute to the Employee entity.\n- Add `low_data_availability` attribute to the Job entity.\n- Added Data Maturity Scan reporting endpoints:\n    - `GET /reports/data_maturity_scan/employee_quality_matrix`\n    - `GET /reports/data_maturity_scan/job_quality_matrix`\n    - `GET /reports/data_maturity_scan/employee_maturity_overview`\n    - `GET /reports/data_maturity_scan/job_maturity_overview`\n    - `GET /reports/data_maturity_scan/data_improvement_actions`\n- Added `rejected_skills` to the possible values of the `include` body parameter\n  of the `POST /export/employees/skill_profiles` endpoint that allows including\n  rejected Skills in the output.\n\n### May 2024\n\n- Add `GET /employees/{employee_external_id}/jobs/{job_external_id}/match`\n  endpoint that allows to match an Employee with a Job.\n- Add `POST /employees/{employee_external_id}/matching_jobs` endpoint that\n  allows to find the top matching Jobs for an Employee.\n- Add `POST /job_architecture/jobs/{external_id}/matching_employees` endpoint\n  that allows to find the top matching Employees for a Job.\n- Add `POST /job_architecture/job_families/{external_id}/matching_employees`\n  endpoint that allows to find the top matching Employees for a Job Family.\n- Add\n  `POST /employees/{employee_external_id}/jobs/{job_external_id}/recommended_courses`\n  endpoint that recommends Courses to address the Skill Gap between the Employee\n  and the Job.\n- Add\n  `GET /employees/{employee_external_id}/job_families/{job_family_external_id}/match`\n  endpoint that allows to match an Employee with a Job Family.\n- Add `GET /employees/{employee_external_id}/match_assigned_position` endpoint\n  that allows to match an Employee with their assigned position.\n- Add `POST /export/employees/match_assigned_position` endpoint that allows to\n  match Employees with their assigned position in bulk.\n- Add `output_skills_sorting` body parameter to the\n  `POST /export/employees/skill_profiles` endpoint, allowing `alphabetical` to\n  sort the Skills in the resulting profiles alphabetically, or `confidence` to\n  sort them by decreasing confidence.\n- Add `is_active` filter to the\n  `POST /job_architecture/export/jobs/skill_profiles`,\n  `POST /job_architecture/export/jobs/suggested_skill_profiles`,\n  `POST /job_architecture/export/jobs/skill_clusters`,\n  `POST /job_architecture/export/job_families/skill_profiles`,\n  `POST /job_architecture/export/job_families/suggested_skill_profiles`,\n  `POST /export/employees/skill_profiles`,\n  `POST /export/employees/skill_clusters`, `POST /export/courses/skill_profiles`\n  export endpoints to only include active or inactive entities in the result\n  based on the filter value.\n- Add `is_active` query parameter to the `GET /job_architecture/export` export\n  endpoint to only include active or inactive jobs and job families in the\n  result.\n- Add `is_active` query parameter to the `GET /employees`, `GET /vacancies`,\n  `GET /courses`, `GET /job_architecture/jobs`,\n  `GET /job_architecture/job_families` list endpoints to only include active or\n  inactive entities in the result.\n- Add `include=entity` and `include=custom_properties` query parameter to\n  `POST /employees/{external_id}/matching_job_families`.\n- Removed `Core` as a possible value of the `skill_type` field of a Skill in the\n  Job Family Skill Profile.\n- Add `response_format=explained` query parameter to\n  `POST /employees/{external_id}/matching_vacancies`,\n  `POST /vacancies/{external_id}/matching_employees` and\n  `POST /employees/{external_id}/matching_job_families`, that includes\n  `missing_skills` and `present_skills` response body fields as additional\n  information about the matches.\n- Add `include=adoption` query parameter to the `taxonomy/skills/{skill_id}`\n  endpoint to include the adoption of the Skill in Jobs and Employees in the\n  response.\n- Add `assigned_position_id` attribute to the Employee entity.\n- Allow `PATCH /employees/<employee_id>/skill_events/<event_id>` on the\n  `resume_document`, `feedback`, `goal`, `project`, `certificate`, `learning`\n  and `ticket` event types.\n\n### April 2024\n\n- Add `active` attribute to Course, Employee, Job and Job Family entity.\n- Add support to display Skill Profiles in external vendor Skills on GET, using\n  the query parameter `external_vendor`, for Course, Employee, Job and Job\n  Family entities. Usage:\n- `GET /employee/{employee_id}/skill_profile?external_vendor={external_vendor}`\n- `GET /job_architecture/jobs/{job_external_id}/skill_profile?external_vendor={external_vendor}`\n- `GET /job_architecture/job_families/{job_family_external_id}/skill_profile?external_vendor={external_vendor}`\n- `GET /courses/{external_id}/skill_profile?external_vendor={external_vendor}`\n- Add support to provide feedback to Skill Profiles in external vendor Skills,\n  using the query parameter `feedback_format=external_vendor_skills`, for\n  Course, Employee, Job and Job Family entities. Usage:\n    - `PATCH /employee/{employee_id}/feedback_format=external_vendor_skills`\n    - `PATCH /job_architecture/jobs/{job_external_id}/skill_profile?feedback_format=external_vendor_skills`\n    - `PATCH /job_architecture/job_families/{job_family_external_id}/skill_profile?feedback_format=external_vendor_skills`\n    - `PATCH /courses/{external_id}/skill_profile?feedback_format=external_vendor_skills`\n- Deprecate\n  `GET /employee{employee_external_id}/vacancy/{vacancy_external_id}/recommend_courses`\n- Add\n  `POST /employee{employee_external_id}/vacancy/{vacancy_external_id}/recommend_courses`\n  endpoint which makes use of an updated and improved methodology to recommend\n  Courses.\n- Update `POST /employee{employee_external_id}/recommend_courses` endpoint in\n  line with the updated and improved methodology to recommend Courses.\n\n### March 2024\n\n- Add `POST /job_architecture/export/jobs/suggested_skill_profiles` endpoint to\n  paginate through all suggested Skill Profiles of Jobs in the API in bulk.\n- Add `POST /job_architecture/export/job_families/suggested_skill_profiles`\n  endpoint to paginate through all suggested Skill Profiles of Job Families in\n  the API in bulk.\n- The `domain_namespace` query parameter is available on the\n  `job_architecture/export/jobs/skill_profiles` and\n  `job_architecture/export/job_families/skill_profiles` endpoints.\n- When requesting an Employee Skill Profile through either\n  `GET /employee/{employee_id}/skill_profile` or\n  `POST /export/employees/skill_profiles`, the response will now include the\n  `source_events` field on all Skills, when requesting sources. `source_events`\n  provides more insights into which Skill Event contributes to which skill.\n\n### February 2024\n\n- Add `GET /employees/{employee_id}/skill_events/{skill_event_id}` endpoint to\n  be able to get a single Skill Event of an Employee.\n- Add `POST /job_architecture/export/jobs/skill_profiles` endpoint to paginate\n  through all Skill Profiles of Jobs in the API in bulk.\n- Add `POST /job_architecture/export/job_families/skill_profiles` endpoint to\n  paginate through all Skill Profiles of Job Families in the API in bulk.\n- Add support for `ticket` Skill Events.\n- Add support for `skill_notes` Job Profile Data.\n- Deprecated the `POST /job_architecture/export/job/skill_clusters` endpoint and\n  added the `POST /job_architecture/export/jobs/skill_clusters`.\n\n### January 2024\n\n- A `source` attribute can now be added to each Skill Profile feedback endpoint\n  to indicate the source of the feedback. See all\n  `PATCH /{entity}/{entity_id}/skill_profile` endpoints.\n- An `include` query parameter can now be added to the\n  `GET /employees/{external_id}/skill_profile` endpoint to include the source\n  Skill Events where the reported Skills are inferred from.\n- Add `POST /export/employees/skill_profiles` endpoint to get the Skill profiles\n  of all Employees in the API through pagination.\n- Add the `POST /skills/lookup` endpoint to get corresponding UUIDs for a list\n  of Skill names.\n- Add `GET /job_architecture/job/{job_id}/suggested_skill_profile` to get\n  suggested skills for a Job.\n- Add\n  `GET /job_architecture/job_families/{job_family_id}/suggested_skill_profile`\n  to get suggested skills for a Job Family.\n\n### December 2023\n\n- Add the `include=custom_properties` query parameter to the\n  `GET /taxonomy/skills/{skill_id}` endpoint to include the Custom Properties of\n  a Skill in the response.\n- Add the `include=custom_properties` query parameter to the\n  `GET /taxonomy/skill_clusters/{skill_cluster_id}` endpoint to include the\n  Custom Properties of Skill Clusters in the response.\n- Add the `include=custom_properties` query parameter to the\n  `GET /taxonomy/subdomains/{subdomain_id}` endpoint to include the Custom\n  Properties of Subdomains in the response.\n- Add the `include=custom_properties` query parameter to the\n  `GET /taxonomy/domains/{domain_id}` endpoint to include the Custom Properties\n  of Domains in the response.\n- Introduced a `skill_id` field alongside Skill names in our API endpoints to\n  avoid ambiguities and conflicts. All endpoints that return Skill names will\n  now also return a `skill_id` field. Using Skill names in a request body to\n  denote an update of a Skill is deprecated, please use `skill_id` instead.\n- Mark all `/occupations` endpoints as deprecated.\n- Add the `vocab_language` query parameter to the\n  `GET /{entity}/{external_id}/skill_profile` endpoints to specify the language\n  of the Skill names in the Skill Profile response.\n- Add the `vocab_language` query parameter to the\n  `GET /taxonomy/skill_clusters/{external_id}/skills` endpoint to specify the\n  language of the Skill names in the Skill Profile response.\n- Add the `vocab_language` query parameter to the `GET /taxonomy/skill/`\n  endpoints to specify the language of the Skill names in the Skill Profile\n  response.\n- Add the `vocab_language` query parameter to the `GET /taxonomy/export/`\n  endpoints to specify the language of the Skill names in the Skill Profile\n  response.\n\n### November 2023\n\n- Add the `domain_namespace` query parameter to\n  `GET /job_architecture/jobs/{job_external_id}/skill_profile` endpoint to\n  express the Skill Domains in either TechWolf or Taxonomy Domains.\n- Add the `domain_namespace` query parameter to\n  `GET /job_architecture/jobs/{job_external_id}/market_skill_profile` endpoint\n  to express the Skill Domains in either TechWolf or Taxonomy Domains.\n- Add the `domain_namespace` query parameter to\n  `GET /job_architecture/job_families/{job_family_external_id}/skill_profile`\n  endpoint to express the Skill domains in either TechWolf or Taxonomy Domains.\n- Add `domain_name` response body field and `domain_namespace` query parameter\n  to `GET /taxonomy/skills/{skill_id}` endpoint to express the Skill Domains in\n  either TechWolf or Taxonomy Domains.\n- Add `domain_name` response body field and `domain_namespace` query parameter\n  to `GET /taxonomy/skills` endpoint to express the Skill Domains in either\n  TechWolf or Taxonomy Domains.\n- Add the `domain_namespace` query parameter to `GET /skills/search` endpoint to\n  express the Skill Domains in either TechWolf or Taxonomy Domains.\n- Add `POST /export/courses/skill_profiles` endpoint to paginate through all\n  Skill Profiles of Courses in the API in bulk.\n- Add `last_updated_with_taxonomy_changes` filter to the POST\n  `/export/employees/skill_clusters` and POST\n  `/job_architecture/export/job/skill_clusters` endpoints.\n- Add `next_starting_after` field to response of\n  `POST /export/employees/skill_clusters` endpoint.\n\n### October 2023\n\n- Add `GET /job_architecture/jobs/{job_external_id}/market_skill_profile`\n  endpoint to get the market Skill Profile of a Job.\n- Update request sample for `POST /reports/job_architecture_benchmark` endpoint.\n- Mark all `/skill_clusters` endpoints as deprecated.\n\n### September 2023\n\n- Add `skill_description` response body field and query parameter\n  `include=skill_description` to `GET taxonomy/export`.\n- Add a `vacancy` data type for Job Profile Data. Available in the POST\n  `/job_architecture/jobs/{job_external_id}/profile_data` endpoint.\n- Add the `taxonomy/changes` endpoint to view all changes to the Taxonomy within\n  a certain timeframe.\n- Add `skill_id` and `skill_sources` to Skills of response body field in\n  `GET export/employees/skill_clusters`.\n- Add a `POST /job_architecture/export/job/skill_clusters` endpoint to fetch Job\n  Skill clusters and Skills in bulk.\n- Add the `Subdomain` entity to enable a 4-level Taxonomy hierarchy.\n- Add CRUD operations for Custom Properties and Custom Property Definitions for\n  the following Taxonomy entities: `taxonomy/domains`, `taxonomy/subdomains`,\n  `taxonomy/skill_clusters`, and `taxonomy/skills`.\n- Add `external_id` and `skill_vocab` fields to the `taxonomy/export` and\n  `taxonomy/skill_cluster/<skill_custer_id>/skills` endpoints.\n\n### August 2023\n\n- Add `skill_id` response body field and query parameter `search_method` to\n  `POST skills/search`.\n- Add `GET` and `POST /taxonomy/domains` to see all Domains and create a new\n  Domain respectively. Add `GET`, `PATCH` and\n  `DELETE /taxonomy/domains/{external_id}` to see a single Domain, update a\n  Domain and delete a Domain respectively.\n- Add `GET` and `POST /taxonomy/skill_clusters` to see all Skill Clusters and\n  create a new Skill Cluster respectively. Add `GET`, `PATCH` and\n  `DELETE /taxonomy/skill_clusters/{external_id}` to see a single Skill Cluster,\n  update a Skill Cluster and delete a Skill Cluster respectively.\n- Add `GET /taxonomy/skill_clusters/{external_id}/skills` to see all Skills in a\n  Skill Cluster. Add `PUT` and\n  `DELETE /taxonomy/skill_clusters/{external_id}/skills/{skill_external_id}` to\n  add a Skill to a Skill Cluster and remove a Skill from a Skill Cluster\n  respectively.\n- Add `GET /taxonomy/skills/{concept_uuid}` and `GET /taxonomy/skills` to get\n  meta information of a single Skill or multiple Skills.\n- Add `GET /taxonomy/export` to export the full structure of the Taxonomy.\n- Add `POST /taxonomy/apply` to apply a set of changes to the Taxonomy.\n- Add `skill_id` to the response body of\n  `GET job_architecture/jobs/{job_external_id}/skill_profile` and\n  `GET job_architecture/job_families/{job_family_external_id}/skill_profile`.\n- Add functionality for Jobs to not be linked to a Job Family.\n- Skill Profile feedback in Skill Cluster format\n  (`PATCH /employees/{external_id}/skill_profile?feedback_format=skill_clusters`)\n  can now be given with a `skill_cluster_id`.\n- Add `GET /job_architecture/export`.\n\n### July 2023\n\n- Add `POST /reports/job_architecture_benchmark`.\n- Add the `include=skill_match_scores` query parameter to the\n  `POST /employees/{external_id}/matching_job_families`, which includes match\n  scores between the Employee and individual Skills in the response.\n\n### June 2023\n\n- Add `POST /reports/internal_talent_mobility`.\n- Update `POST /reports/skill_inventory`.\n- Add `GET /employees/{employee_external_id}/interactions` and\n  `GET /employees/{employee_external_id}/interactions/{interaction_external_id}`\n  endpoints, which allow for listing all interactions of an Employee and getting\n  a single Interaction respectively.\n- Deprecated the `PUT /employees/{external_id}/skill_profile`,\n  `PUT /vacancies/{external_id}/skill_profile`,\n  `PUT /courses/{external_id}/skill_profile` and\n  `PUT /occupations/{external_id}/skill_profile` endpoints.\n- Add `POST /employees/{employee_external_id}/matching_job_families` endpoint,\n  which calculates and returns matching Job Families for an Employee. Weights\n  are not customizable, but filtering on Custom Properties, external IDs and the\n  `last_updated` field is allowed.\n- Add the `used_event_types` body parameter to the\n  `POST /employees/{employee_id}/matching_vacancies` endpoint, allowing to use\n  only events of certain types to be taken into account when calculating\n  matching Vacancies for an Employee.\n\n### May 2023\n\n- Vacancy searching now works based on literal text matching by default. Skills\n  based searching is still possible, as well as a combination of both.\n- Allow `PATCH` on SkillEvents with type `skill_notes`.\n- Add progress to the `POST /reports/skill_inventory` endpoint.\n- Add `skill_cluster_id` to the output of Employee, Vacancy, Course, Occupation\n  `GET /
[...]
